INTERFACE
SUBROUTINE GEMS_INIT( KIDIA, KFDIA, KLEV, KLON, KTRAC, PCO2O, PCO2B, PCO2A,&
 & PCO2F, PCH4, PCH4F, PSF6, PGFLFLX, PGEMU, PLSM, KGRG, KTRACER, KAERO, PLRCH4,&
 & PGFL, PTENGFL, PCEN, PTENC, PTENC_SKF, PCFLX, PSCAV, PGRGTEND) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOM_YGFL , ONLY : LFIRE, NAERO, NGHG, NGRG, NGRG_CPLO4, YGRG,YGRGTEND,&
 & YGHG, YAERO, YTRAC , NTRAC, LGRGSFC, NACTAERO, LCH4SFC, YGFL, YLRCH4, YLRCH4_NL, LCO2SFC 
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
REAL(KIND=JPRB) ,INTENT(IN) :: PCO2O(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCO2B(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCO2A(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCO2F(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCH4(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCH4F(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSF6(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFLFLX(KLON,NGRG+NTRAC)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSM(KLON)
REAL(KIND=JPRB), INTENT(IN) :: PGFL(KLON,KLEV,YGFL%NDIM), PTENGFL(KLON,KLEV,YGFL%NDIM1)
REAL(KIND=JPRB), INTENT(INOUT) :: PLRCH4(KLON,KLEV)
REAL(KIND=JPRB), POINTER :: PCEN(:,:,:),PTENC(:,:,:),PCFLX(:,:)&
 & , PGRGTEND(:,:,:), PSCAV(:), PTENC_SKF(:,:,:) 
INTEGER(KIND=JPIM), INTENT(INOUT) :: KTRAC
INTEGER(KIND=JPIM), INTENT(OUT) :: KGRG(NGRG), KAERO(NAERO), KTRACER(NTRAC)
END SUBROUTINE GEMS_INIT
END INTERFACE
